# Evrmore RPC Documentation

This directory contains documentation for the `evrmore-rpc` package.

## Documentation Files

- [Index](index.md): Overview and quick start guide.
- [WebSockets Support](websockets.md): Documentation for WebSockets functionality.
- [ZMQ Support](zmq.md): Documentation for ZMQ functionality.
- [Synchronous API](sync_api.md): Documentation for the synchronous API.
- [Asynchronous API](async_api.md): Documentation for the asynchronous API.
- [Models](models.md): Documentation for data models.
- [Examples](examples.md): Documentation for examples.
- [Advanced Usage](advanced.md): Documentation for advanced usage.

## Building the Documentation

The documentation can be built using [MkDocs](https://www.mkdocs.org/) with the [Material for MkDocs](https://squidfunk.github.io/mkdocs-material/) theme.

1. Install MkDocs and the Material theme:

```bash
pip install mkdocs mkdocs-material
```

2. Build the documentation:

```bash
mkdocs build
```

3. Serve the documentation locally:

```bash
mkdocs serve
```

4. Access the documentation at http://localhost:8000/

## Contributing to the Documentation

Contributions to the documentation are welcome! Please follow these guidelines:

1. Use Markdown for all documentation files.
2. Include code examples where appropriate.
3. Keep the documentation up-to-date with the code.
4. Use clear and concise language.
5. Include links to related documentation where appropriate. 